Loading...
Searching...
No Matches
IndexHeader Struct Reference

Index header (version 1) for legacy images (identifier == IndexBlock). More...

`#include <aaruformat/structs/index.h>`

## Data Fields

uint32_t | identifier
| Block identifier (must be BlockType::IndexBlock).
uint16_t | entries
| Number of IndexEntry records that follow immediately.
uint64_t | crc64
| CRC64-ECMA of the entries array (legacy byte-swapped for early images).

## Detailed Description

Index header (version 1) for legacy images (identifier == IndexBlock).

Uses a 16‑bit entry counter limiting the number of indexable blocks in v1.

Definition at line 66 of file index.h.

## Field Documentation

## crc64

uint64_t IndexHeader::crc64

CRC64-ECMA of the entries array (legacy byte-swapped for early images).

Definition at line 70 of file index.h.

Referenced by verify_index_v1().

## entries

uint16_t IndexHeader::entries

Number of IndexEntry records that follow immediately.

Definition at line 69 of file index.h.

Referenced by process_index_v1(), and verify_index_v1().

## identifier

uint32_t IndexHeader::identifier

Block identifier (must be BlockType::IndexBlock).

Definition at line 68 of file index.h.

Referenced by process_index_v1(), and verify_index_v1().

The documentation for this struct was generated from the following file:

- include/aaruformat/structs/index.h